---
title: 모듈(Module)
description: 대수의 모듈
published: true
date: 2020-11-06T10:44:44.161Z
tags: 대수
editor: markdown
dateCreated: 2020-09-22T11:55:35.558Z
---

# 모듈(Module)
$R$-모듈 $A$는 [환(Ring)](/환(수학)) $R$과 [아벨군(Abelian Group)](/아벨군) $A$위에 이항연산 $R \times A \rarr A$이 있고, 다음과 같은 [공리(Axiom)](/공리(수학))를 따르는 $A$이다.
모든 $\kappa,\lambda \in R$과 $a,b \in A$에 대해서:
$$\begin{array}{rcl}\kappa(a+b)&=&\kappa a+\kappa b,\\ (\kappa+\lambda)a&=&\kappa a+\lambda a,\\
(\kappa \lambda)a&=& \kappa(\lambda a),\\ 1a&=&a.\end{array}$$
좀더 명확하게, 이러한 모듈 $A$를 왼쪽 모듈(left module)이라고 한다. 왜냐하면, 식 $\kappa a$에서 스칼라$\kappa$가 모듈의 원소 $a$의 왼쪽에 쓰여졌기 때문이다.

## 선형변환(Linear transformations)
- main article : [선형변환](/선형변환)
모듈의 사상(Homomorphism)은 선형변환이다.

## 부분모듈(Submodules)

## 잉여모듈(Quotient modules)

## 자유모듈(Free modules)

## Biproducts

## 쌍대모듈(Dual modules)

지금까지 다룬 것은 스칼라가 왼쪽에 붙은 left module이다. right module은 스칼라가 오르쪽에 붙는다.
쌍대 모듈은 