---
title: 군(수학)(Group)
description: Group
published: true
date: 2020-09-26T14:22:04.517Z
tags: 대수
editor: markdown
dateCreated: 2020-09-22T07:04:46.800Z
---

# 군(Group)
군은 [집합](/집합(수학)) G과 [집합](/집합(수학)) G위에 다음과 같은 이항연산 $G \times G \rarr G$가 있는 것을 말한다:

- 결합법칙이 성립한다.
- $\forall a \in G, ua = a = au$인  $u\in G$가 존재한다.
- $\forall a \in G, aa^{-1}=a^{-1}a=u$인 $a^{-1}\in G$가 존재한다.

이때 $u$를 항등원(identity element)라고 부르고 $a^{-1}$을 a의 역원(inverse of a)라고 한다.
$|G|$는 $G$의 원소 수를 말하며, 군의 위수(Order)라고 부른다.

## 군의 예

- 정수의 집합과 이항연산 +에 대해서, $(\Z,+)$는 군이다.
- 집합 $\{-1,1\}$과 이항연산 $\cdot$에 대해서 $(\{1,-1\},\cdot)$ 는 군이다.

## 군의 사상(Morphism of group)

군 $(G,\cdot)$의 사상은 군$(H,*)$에 대해 다음과 같은 조건을 만족하는 함수 $f:G\rarr H$이다.
$$f(a\cdot b)=f(a)* f(b)$$

## 순환군(Cyclic group)
어떤 군 $G$에 대해서,
$$\{a^n|a\in G,n \in \N\}$$
를 순환군이라고 한다. 이때 $a$를 군의 생성원(generator)이라고 한다.

## 부분군(Subgroup)

[집합](/집합(수학)) $H$가 있어서, $H \subset G$이고 H가 G의 연산에 대해 군이면 H를 G의 부분군이라고 한다.
삽입사상 $i:H\rarr G$가 있다.

## 관계로서 군의 표현과 자유군(Groups presentation as defining relation and free group)
aphabet이 있다. concat 연산이 있다.이것이 자유구.ㄴ
## 대칭군$S_n$과 교환군$A_n$ (Symmetric and Alternating groups)
$f:n\rarr n$를 원소로 가지는 군이다. (1 2 3 4 5) 라는 열이 있을 때, (2 1 3 4 5) 같이 치환하는 연산들로 이루어진것.

$S_n/\Z_2\cong A_n$

## 변환군(Transformation groups)

대칭군의 일반화.

## 잉여(Cosets)
군의 원소 여럿을 묶기. 묶은 것으로 연산하기.
$h:G\rarr H, h \in \hom(G,H)$를 생각하자.

## 핵과 상(Kernel and Image)
$\ker(h)=\lbrace a\in G|h(a)=0 \rbrace$
$\text{img}(a)$
### 정규부분군(Normal subgroup)
$g\in G,n \in N, gng^{-1}\in N$
## 잉여군(Quotient Groups)

